Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.svg
Interface SVGTests

All Known Subinterfaces:
  SVGAElement, SVGAltGlyphElement, SVGAnimateColorElement, SVGAnimateElement, SVGAnimateMotionElement, SVGAnimateTransformElement, SVGAnimationElement, SVGCircleElement, SVGClipPathElement, SVGCursorElement, SVGDefsElement, SVGEllipseElement, SVGForeignObjectElement, SVGGElement, SVGImageElement, SVGLineElement, SVGMaskElement, SVGPathElement, SVGPatternElement, SVGPolygonElement, SVGPolylineElement, SVGRectElement, SVGSetElement, SVGSVGElement, SVGSwitchElement, SVGTextContentElement, SVGTextElement, SVGTextPathElement, SVGTextPositioningElement, SVGTRefElement, SVGTSpanElement, SVGUseElement

All Known Implementing Classes:
  SVGOMAElement, SVGOMAltGlyphElement, SVGOMAnimateColorElement, SVGOMAnimateElement, SVGOMAnimateMotionElement, SVGOMAnimateTransformElement, SVGOMAnimationElement, SVGOMCircleElement, SVGOMClipPathElement, SVGOMCursorElement, SVGOMDefsElement, SVGOMEllipseElement, SVGOMForeignObjectElement, SVGOMGElement, SVGOMImageElement, SVGOMLineElement, SVGOMMaskElement, SVGOMPathElement, SVGOMPatternElement, SVGOMPolygonElement, SVGOMPolylineElement, SVGOMRectElement, SVGOMSetElement, SVGOMSVGElement, SVGOMSwitchElement, SVGOMTextElement, SVGOMTextPathElement, SVGOMTextPositioningElement, SVGOMTRefElement, SVGOMTSpanElement, SVGOMUseElement

public interface SVGTests

Method Summary
`SVGStringList` | `getRequiredExtensions()`
`SVGStringList` | `getRequiredFeatures()`
`SVGStringList` | `getSystemLanguage()`
`boolean` | `hasExtension(java.lang.String extension)`

Method Detail

### getRequiredFeatures

    public SVGStringList getRequiredFeatures()

### getRequiredExtensions

    public SVGStringList getRequiredExtensions()

### getSystemLanguage

    public SVGStringList getSystemLanguage()

### hasExtension

    public boolean hasExtension(java.lang.String extension)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.